package cz.frantovo.nekurak.ext;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 * Testuje spíš dostupnost vzdálené služby a fungování samotného Texy než implementaci javové části –
 * ta buď funguje, nebo nefunguje → není potřeba testovat moc do podrobna.
 * (testovat by se měla případná parametrizovatelnost – zatím žádná není)
 * @author fiki
 */
public class TexyTest {

    private Texy texy = new Texy();

    @Test
    public void prostyText() {
	testuj("", "");
	testuj("ahoj", "<p>ahoj</p>");
    }

    @Test
    public void nadpisy() {
	testuj("===Nadpis===", "<h1>Nadpis</h1>");
    }

    private void testuj(String vstup, String pozadovanyVystup) {
	String vystup = texy.preved(vstup);
	assertEquals(pozadovanyVystup, vystup);
    }
}
